
function [bootstat_report_mean,bootstat_report_SR,bootstat_report_std] = bootstrap_portfolio_returns_growth(portfolio_data,nboot,horizon)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
start_data = max(2,1+ceil(15/(horizon*12)));

portfolio_data_final=NaN(floor(size(portfolio_data,1)/(horizon)),size(portfolio_data,2));
for i=1:floor(size(portfolio_data,1)/(horizon))
j=(i-1)*horizon+1;    
portfolio_data_final(i,:)=portfolio_data(j,:);
end
    
bootstat_mean = bootstrp(nboot,@(x)[nanmean(x)],portfolio_data_final(start_data:end,:));
bootstat_SR   = bootstrp(nboot,@(x)[nanmean(x)./nanstd(x)],portfolio_data_final(start_data:end,:));
bootstat_std  = bootstrp(nboot,@(x)[nanstd(x)],portfolio_data_final(start_data:end,:));

bootstat_report_mean  = std(bootstat_mean,1);
bootstat_report_SR    = std(bootstat_SR,1);
bootstat_report_std   = std(bootstat_std,1);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

end

